# Class Crash

Crash Class

#### Hierarchy

- Crash

- Defined in saltcorn-data/models/crash.ts:18

#####
Index

### Constructors

constructor

### Properties

body?
headers
id?
message
occur_at
stack
tenant
url
user_id?

### Accessors

msg_short
reltime

### Methods

count
create
find
findOne

## Constructors

### constructor

- new Crash(o): Crash

- Crash constructor

  #### Parameters

  - ##### o: CrashCfg

  #### Returns Crash

  - Defined in saltcorn-data/models/crash.ts:33

## Properties

### `Optional` body

body?: any

- Defined in saltcorn-data/models/crash.ts:27

### headers

headers: any

- Defined in saltcorn-data/models/crash.ts:26

### `Optional` id

id?: number

- Defined in saltcorn-data/models/crash.ts:19

### message

message: string

- Defined in saltcorn-data/models/crash.ts:22

### occur_at

occur_at: Date

- Defined in saltcorn-data/models/crash.ts:25

### stack

stack: string

- Defined in saltcorn-data/models/crash.ts:21

### tenant

tenant: string

- Defined in saltcorn-data/models/crash.ts:23

### url

url: string

- Defined in saltcorn-data/models/crash.ts:24

### `Optional` user_id

user_id?: number

- Defined in saltcorn-data/models/crash.ts:20

## Accessors

### msg_short

- get msg_short(): string

- #### Returns string

  - Defined in saltcorn-data/models/crash.ts:89

### reltime

- get reltime(): string

- #### Returns string

  - Defined in saltcorn-data/models/crash.ts:74

## Methods

### `Static` count

- count(where): Promise<number>

- #### Parameters

  - ##### where: Where

  #### Returns Promise<number>

  - Defined in saltcorn-data/models/crash.ts:82

### `Static` create

- create(err, req?): Promise<void>

- #### Parameters

  - ##### err: any

  - ##### `Optional` req: any = {}

  #### Returns Promise<void>

  - Defined in saltcorn-data/models/crash.ts:100

### `Static` find

- find(where?, selopts?): Promise<Crash[]>

- #### Parameters

  - ##### `Optional` where: Where

  - ##### selopts: SelectOptions = {}

  #### Returns Promise<Crash[]>

  - Defined in saltcorn-data/models/crash.ts:54

### `Static` findOne

- findOne(where): Promise<Crash>

- #### Parameters

  - ##### where: Where

  #### Returns Promise<Crash>

  - Defined in saltcorn-data/models/crash.ts:66

Generated using TypeDoc